@use '../../assets/styles/base';
@use '../../assets/styles/abstracts' as *;

.btn {
  border-radius: 6px;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  cursor: pointer;
  height: 46px;

  &:hover {
    filter: brightness(95%);
    box-shadow: 0px 4px 4px -4px #333;
  }

  .icon {
    width: 18px;
    height: 18px;
  }
}

.btn-rounded {
  border-radius: 22px;
}

.btn-disabled {
  cursor: not-allowed !important;
}

$color: (
  light: $light,
  primary: #0560fc,
  info: $info,
  success: $success,
  danger: $danger,
  warning: $warning,
  dark: $dark,
  secondary: $secondary,
);

@each $key, $value in $color {
  .btn-#{$key} {
    background-color: $value;
    @if $key == 'secondary' or $key == 'light' {
      color: $dark;
    } @else {
      color: $light;
    }
  }
  .btn-outlined-#{$key} {
    background-color: transparent;
    border: 1px solid $value;
    color: $value;
  }
}

$size: (
  sm: 6px 14px,
  md: 8px 16px,
  lg: 10px 18px,
  xl: 12px 20px,
);

@each $key, $value in $size {
  .btn-#{$key} {
    padding: $value;
  }
}
